#ifndef _TSQUARE2D_H
#define _TSQUARE2D_H
//-------------------------------------------------------
#include "Include\\DGLE2.h"
using namespace DGLE2;
//-------------------------------------------------------
class TSquare
{
private:

protected:
	bool _exist;		// занят ли уже квадрат
	TRectF _rect;		// занимаемый прямоугольник
	TColor4 _enabledColor,
			_disabledColor;		// цвет прямоугольника
	ITexture *_texture;
	float _angleTexture;
public:
	TSquare();
	TSquare(bool exist, const TRectF &rect, const TColor4 &enabledColor, const TColor4 &disabledColor, ITexture *texture, float angleTexture);
	~TSquare();

	void SetSettings(bool exist, const TRectF &rect, const TColor4 &enabledColor, const TColor4 &disabledColor, ITexture *texture, float angleTexture);
	void SetExist(bool exist);
	void SetRect(const TRectF &rect);
	void SetEnabledColor(const TColor4 &enabledColor);
	void SetDisabledColor(const TColor4 &enabledColor);
	void SetTexture(ITexture *texture);
	void SetAngleTexture(float angleTexture);

	bool GetExist() const;
	TRectF GetRect() const;
	TColor4 GetEnabledColor() const;
	TColor4 GetDisabledColor() const;
	ITexture *GetTexture() const;

	void Draw(IRender2D *pRender2D);

};
//-------------------------------------------------------
#endif